Bug 810345 - one-off patch: File name is not displayed correctly if it contains Portuguese accent characters during uploading
one-off patch: File name is not displayed correctly if it contains Portuguese...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
Unspecified Unspecified
high Severity high
: ---
: 5.2.0.GA
Assigned To: Tomas Kyjovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 12:23 EDT by Gary Hu
Modified: 2013-04-30 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that an issue with exo.portal.component.web.server caused the names of uploaded files to display incorrectly if they contained Portuguese accent characters. The fix provides an updated version of exo.portal.component.web.server with improvements to special international character encoding. The originally reported issue is resolved as a result of these improvements.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exo.portal.component.web.server-5.2.0.GA.jar (39.22 KB, application/x-java-archive)
2012-04-05 14:24 EDT, Gary Hu
no flags Details
Signed Jar file (38.77 KB, application/x-tar-gz)
2012-04-05 15:08 EDT, Mike Clark
no flags Details

  None (edit)
Comment 1 Gary Hu 2012-04-05 12:26:36 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It was discovered that an issue with exo.portal.component.web caused file name is not displayed correctly if it contains Portuguese accent characters during uploading. The fix provides an updated version of exo.portal.component.web with improvements to special international characters encoding. The originally reported issue is resolved as a result of these improvements.
Comment 2 Gary Hu 2012-04-05 14:24:27 EDT
Created attachment 575520 [details]
exo.portal.component.web.server-5.2.0.GA.jar
Comment 3 Gary Hu 2012-04-05 14:25:09 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-It was discovered that an issue with exo.portal.component.web caused file name is not displayed correctly if it contains Portuguese accent characters during uploading. The fix provides an updated version of exo.portal.component.web with improvements to special international characters encoding. The originally reported issue is resolved as a result of these improvements.+It was discovered that an issue with exo.portal.component.web.server caused file name is not displayed correctly if it contains Portuguese accent characters during uploading. The fix provides an updated version of exo.portal.component.web.server with improvements to special international characters encoding. The originally reported issue is resolved as a result of these improvements.
Comment 4 Mike Clark 2012-04-05 15:08:01 EDT
Created attachment 575526 [details]
Signed Jar file

BZ810345-signed.tgz contains signed versions of the currently attached jars listed below.

exo.portal.component.web.server-5.2.0.GA.jar:
 - MD5 checksum before signing: 21bea914922c103f8d294cb7ce6183e3
 - MD5 checksum after signing: fdcff3db8c67817cd92e8d6bdc40b418
Comment 5 Gary Hu 2012-04-05 15:38:28 EDT
svn/cvs isolated branch:

https://svn.jboss.org/repos/gatein/epp/portal/branches/EPP_5_2_0_GA_BZ810345
Comment 6 Jared MORGAN 2012-04-18 19:34:41 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-It was discovered that an issue with exo.portal.component.web.server caused file name is not displayed correctly if it contains Portuguese accent characters during uploading. The fix provides an updated version of exo.portal.component.web.server with improvements to special international characters encoding. The originally reported issue is resolved as a result of these improvements.+It was discovered that an issue with exo.portal.component.web.server caused the names of uploaded files to display incorrectly if they contained Portuguese accent characters. The fix provides an updated version of exo.portal.component.web.server with improvements to special international character encoding. The originally reported issue is resolved as a result of these improvements.
Comment 8 Michal Vanco 2012-08-16 13:34:55 EDT
This patch will be verified by Monika/Tomas.
Comment 9 Tomas Kyjovsky 2012-08-20 15:06:36 EDT
Patch tested. No regressions.

md5sum:
fdcff3db8c67817cd92e8d6bdc40b418  exo.portal.component.web.server-5.2.0.GA.jar

Note You need to log in before you can comment on or make changes to this bug.